# Option API

## Get All Options Data
- Endpoint: `/option`
- HTTP Method: `GET`
- Request Query Param:
  - majorId: f1c09304-5c1a-45fe-90bc-f5418f45fa8d (optional, string)

- Response Body (Success):
```json
[
    {
        "id": "82dd01ef-0217-4c2e-8b15-8ab73297752f",
        "name": "Rekayasa Perangkat Lunak",
        "createdAt": "2021-04-13T21:07:51.467Z",
        "updatedAt": "2021-04-13T21:07:51.467Z",
        "majorId": "f1c09304-5c1a-45fe-90bc-f5418f45fa8d"
    },
    {
        "id": "548c8cbe-b4f9-4081-8dd2-bedd49279001",
        "name": "Sistem Intelijen",
        "createdAt": "2021-04-13T21:07:51.467Z",
        "updatedAt": "2021-04-13T21:07:51.467Z",
        "majorId": "f1c09304-5c1a-45fe-90bc-f5418f45fa8d"
    },
    {
        "id": "d6b2e5bc-f14d-4849-95e1-0e01684ffe25",
        "name": "Sistem Informasi",
        "createdAt": "2021-04-13T21:07:51.467Z",
        "updatedAt": "2021-04-13T21:07:51.467Z",
        "majorId": "f1c09304-5c1a-45fe-90bc-f5418f45fa8d"
    },
    {
        "id": "656a7c88-c023-4473-b184-45deedfef3bd",
        "name": "Intelijen Bisnis",
        "createdAt": "2021-04-13T21:07:51.467Z",
        "updatedAt": "2021-04-13T21:07:51.467Z",
        "majorId": "f1c09304-5c1a-45fe-90bc-f5418f45fa8d"
    }
]
```

- Response Body (Failed):
```json
{
    "name": "Error",
    "message": "Object doesn't exist."
}
```
```json
{
    "name": "SequelizeDatabaseError",
    "message": "invalid input syntax for type uuid: \"f1c09304-5c1a-45fe-90bc-f5418f45fa8\""
}
```