const SkillGroup = require('../models/index')['SkillGroup'];

exports.getAllSkillGroupData = async (req, res) => {
  let skillGroups;

  if (req.query.majorId) {
    skillGroups = await SkillGroup.findAll({
      where: {
        majorId: req.query.majorId,
      },
    });
  } else {
    skillGroups = await SkillGroup.findAll();
  }

  res.json(skillGroups);
};
