const { CourseClass } = require('../models/index');

const { deleteCurrentMeetings } = require('../util/hook');

const { generateCourseClassMeetings } = require('../util/common');

CourseClass.afterCreate(async (courseClass) => {
  await generateCourseClassMeetings(courseClass);
});

CourseClass.afterUpdate(async (courseClass) => {
  await deleteCurrentMeetings(courseClass);
  await generateCourseClassMeetings(courseClass);
});
