const { v4: uuid_v4 } = require('uuid');
('use strict');
const { Model } = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class CourseS2 extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      this.belongsTo(models['Option'], { foreignKey: 'optionId' });
      this.belongsTo(models['Course'], { foreignKey: 'courseId' });
    }
  }
  CourseS2.init(
    {},
    {
      sequelize,
      modelName: 'CourseS2',
    },
  );

  CourseS2.beforeCreate((courseS2) => (courseS2.id = uuid_v4()));

  return CourseS2;
};
