var express = require('express');
var router = express.Router();

var auth_controller = require('../controllers/auth');

// POST request for registering new user
router.post('/register', auth_controller.register);
router.post('/login', auth_controller.verifyUser);
router.get('/cas-sso', auth_controller.casSSO);

module.exports = router;
