var express = require('express');
var router = express.Router();

const { getAllOptionsMiddleware } = require('../middleware/option');

var optionController = require('../controllers/option');

// GET request to get all options data
router.get('/', getAllOptionsMiddleware);
router.get('/', optionController.getAllOptions);

module.exports = router;