const express = require('express');
const router = express.Router();

const {
  updateScoreMiddleware,
  updateScoreStatusMiddleware,
} = require('../middleware/score');
const studentController = require('../controllers/student');

router.put('/', updateScoreMiddleware);
router.put('/', studentController.updateStudentScore);

router.put('/status/', updateScoreStatusMiddleware);
router.put('/status/', studentController.updateStudentScoreStatus);

module.exports = router;
