var express = require('express');
var router = express.Router();

var studentController = require('../controllers/student');
const { getStudentMiddleware } = require('../middleware/student');

// GET request to get student data
router.get('/:id', getStudentMiddleware);
router.get('/:id', studentController.getStudentData);

// PUT request to update student data
router.put('/:id', studentController.updateStudentData);

module.exports = router;
