'use strict';
const { CourseClass } = require('../models/index');

const { generateCourseClassMeetings } = require('../util/common');

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const courseClasses = await CourseClass.findAll();

    for (let i = 0; i < courseClasses.length; i++) {
      await generateCourseClassMeetings(courseClasses[i]);
    }
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.bulkDelete('CourseClassMeetings', null, {});
  },
};
