# Score API

## Update Score

- Endpoint: `/score/?studentId=<studentId>&courseClassId=<courseClassId>`
- HTTP Method: `PUT`
- Request Body:

```json
{
  "score": "A"
}
```

- Response Body (Success):

```json
{
  "id": "e2eeb6fe-7a73-47e0-b35d-27b53107cd92",
  "attendancePercentage": 0,
  "score": "A",
  "status": "UNAPPROVED",
  "createdAt": "2021-04-07T17:11:44.916Z",
  "updatedAt": "2021-04-07T17:15:57.297Z",
  "courseClassId": "863cd226-36c7-41c1-a83e-f540c752284a",
  "studyPlanId": "3b2b43e9-f7c4-4e5e-8ddd-3cacb581dee5",
  "studyPlan": {
    "id": "3b2b43e9-f7c4-4e5e-8ddd-3cacb581dee5",
    "startYear": 2021,
    "creditsTotal": 11,
    "semester": "1",
    "status": "FINAL",
    "notes": "A",
    "createdAt": "2021-03-24T19:54:29.523Z",
    "updatedAt": "2021-03-30T14:14:06.036Z",
    "studentId": "aab0fa6a-b521-4a19-9106-d50cc01e4bf3"
  }
}
```

## Update Score Status

- Endpoint: `/score/status/?courseClassId=<courseClassId>`
- HTTP Method: `PUT`
- Request Body:

```json
{
  "scoreStatus": "FINAL"
}
```

- Response Body (Success):

```json
[
    {
        "id": "d4fc6aab-ec9d-426f-a723-9f3d763c60cc",
        "attendancePercentage": 0,
        "score": "T",
        "status": "APPROVED",
        "scoreStatus": "FINAL",
        "createdAt": "2021-04-09T15:06:53.950Z",
        "updatedAt": "2021-04-09T15:07:02.024Z",
        "courseClassId": "04e94df8-d605-42c4-812b-286a43fa18b9",
        "studyPlanId": "05b04672-423e-4ca4-8390-f4e7829667e5"
    }
]
```
