const Major = require('../models/index')['Major'];

exports.getAllMajorData = async (req, res) => {
  let majors;

  if (req.query.facultyId) {
    majors = await Major.findAll({
      where: {
        facultyId: req.query.facultyId,
      },
    });
  } else {
    majors = await Major.findAll();
  }

  res.json(majors);
};
