const { Course } = require('../models/index');

const {
  checkCourseExist
} = require('../util/hook');

Course.beforeCreate(async (course) => {
  await checkCourseExist(course, true);
});

Course.beforeUpdate(async (course) => {
  await checkCourseExist(course, false);
});