const { v4: uuid_v4 } = require('uuid');

('use strict');
const { Model } = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class StudentS2 extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      this.belongsTo(models['Option'], { foreignKey: 'optionId' });
      this.belongsTo(models['Student'], { foreignKey: 'studentId' });
    }
  }
  StudentS2.init(
    {},
    {
      sequelize,
      modelName: 'StudentS2',
    },
  );

  StudentS2.beforeCreate((studentS2) => (studentS2.id = uuid_v4()));
  return StudentS2;
};
