var express = require('express');
var router = express.Router();

var lecturerController = require('../controllers/lecturer');
const { getAllLecturerMiddleware } = require('../middleware/lecturer');

// GET request to get lecturer data
router.get('/:id', lecturerController.getLecturerData);

// PUT request to update lecturer data
router.put('/:id', lecturerController.updateLecturerData);

router.use('/', getAllLecturerMiddleware);
router.get('/', lecturerController.getAllLecturer);

module.exports = router;
