const { User, Student, Option, StudentS2 } = require('../models/index');
('use strict');

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const user = await User.findOne({
      where: {
        email: 'ihsan@gmail.com',
      },
    });

    const student = await Student.findOne({
      where: {
        userId: user.id,
      },
    });

    const rpl = await Option.findOne({
      where: {
        name: 'Rekayasa Perangkat Lunak',
      },
    });

    await StudentS2.create({
      studentId: student.id,
      optionId: rpl.id,
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.bulkDelete('StudentS2s', null, {});
  },
};
