'use strict';
const { Lecturer } = require('../../models/index');
const { LecturerNotFoundError } = require('../error');

const getAllLecturers = async (opts = {}) => {
  const foundLecturers = await Lecturer.findAll(opts);

  if (!foundLecturers.length) throw new LecturerNotFoundError();

  return foundLecturers;
};

module.exports = {
  getAllLecturers,
};
