'use strict';
require('dotenv').config();
const jwt = require('jsonwebtoken');
const jwtSecret = require(__dirname + '/../config/secret.json')['jwt'];

const getJWTToken = (tokenElement) => {
  const opts = {
    expiresIn: '1h',
  };

  const token = jwt.sign(tokenElement, jwtSecret, opts);

  return token;
};

module.exports = {
  getJWTToken,
};
